## xlsx2csv 0.20+20121013+gitfa44ba6

=== man/Makefile ===
# Makefile

PACKAGE = xlsx2csv

all: man

clean:
	rm -f *.1

man:

	$(MAKE) -f pod2man.mk PACKAGE=$(PACKAGE) makeman

# End of file

## xlsx2csv 0.7

=== debian/changelog ===
xlsx2csv (1:0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Using epoch since upstream changed their versioning scheme in a
    way that makes the latest version lower than the previous one.
  * Fixed watch file
  * Move packaging to Salsa
  * Do not move script to temporary dir scripts in clean target
  * Standards-Version: 4.1.4 via cme
  * Test only current Python version

 -- Andreas Tille <tille@debian.org>  Wed, 09 May 2018 22:33:35 +0200

xlsx2csv (0.20+20161027+git5785081-1) unstable; urgency=medium

  * New upstream snapshot release (Closes: 842079)
  * debian/copyright
    - (X-Format): delete.
  * debian/rules
    - (override_dh_auto_test): Add.
  * debian/source/options
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 27 Oct 2016 18:07:35 +0300

xlsx2csv (0.20+20130606+git4f82f31-2) unstable; urgency=medium

  * debian/control
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Fix typo and update URLs.
  * debian/patches
    - (10): New. Fix spelling 's/xslx/xlsx/' (Closes: 820513).
      Patch thanks to Ole G. Gjelland" <gjelland@yahoo.com>.
  * debian/pod2man.mk
    - Make build reproducible (Closes: 795203).
      Patch thanks to Dhole <dhole@openmailbox.org>.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 20 Oct 2016 19:12:25 +0300

xlsx2csv (0.20+20130606+git4f82f31-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - (Homepage): Update to Freecode.
  * debian/copyright
    - (Upstream-Name): Update to more descriptive.
    - (Comment): New.
  * debian/patches
    - Remove. EOL terminator fix accepted upstream.
  * debian/watch
    - Add comment why can't use githubredir.debian.net.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 06 Jun 2013 13:06:35 +0300

xlsx2csv (0.20+20121013+gitfa44ba6-1) unstable; urgency=low

  * Initial release (Closes: #690354).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 05 Jun 2013 20:05:29 +0300

=== debian/control ===
Source: xlsx2csv
Maintainer: Jari Aalto <jari.aalto@cante.net>
Section: text
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               locales-all,
               python
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/xlsx2csv
Vcs-Git: https://salsa.debian.org/debian/xlsx2csv.git
Homepage: https://github.com/dilshod/xlsx2csv

Package: xlsx2csv
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: convert xslx files to csv format
 xlsx files are zip archives where spreadsheet data is stored. In
 order to process a file, various bits inside the archive need to be
 located. This utility uses the Expat SAX parser to collect the strings
 into a simple dictionary, keyed by their relative position in the XML
 file. This makes it possible to process files of any size.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= xlsx2csv
URL		= git://github.com/dilshod/xlsx2csv.git
UPSTREAMDIR	= ../upstream.git
BUILD_DATE      = $(shell dpkg-parsechangelog -S Date -lchangelog)
PODDATE         = $(shell date -u "+%Y-%m-%d" -d "$(BUILD_DATE)")

man:
	$(MAKE) -C man -f pod2man.mk \
	PODDATE="$(PODDATE)" \
	PACKAGE=$(PACKAGE) \
	makeman

override_dh_installman: man
	dh_installman

override_dh_auto_test:
	locale -a
	locale
	env LC_LANG="C.UTF-8" ./test/run

override_dh_auto_install:
	install -m 755 -D xlsx2csv.py \
		$(CURDIR)/debian/$(PACKAGE)/usr/bin/$(PACKAGE)

override_dh_clean:
	dh_clean
	rm -rf scripts

%:
	dh $@ --with python2 --buildsystem=pybuild

.PHONY: man

=== debian/watch ===
version=3

opts="dversionmangle=s/0\.20/0.2/" \
  https://github.com/dilshod/xlsx2csv/releases .*/archive/release/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## xlsx2csv 0.7.4+git20181115.89ffd7d

=== debian/changelog ===
xlsx2csv (1:0.7.4+git20181115.89ffd7d-1) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group
  * New upstream version 0.7.4+git20181115.89ffd7d (Closes: #895838)
    - Update d/copyright
    - Refresh patch
  * Update d/watch again for new upstream tagging scheme
  * Make the build reproducible.
    Thanks to Daniel Shahaf <danielsh@apache.org> (Closes: #854492)
  * Use debhelper v12

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 29 Jan 2019 22:42:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: xlsx2csv
-Maintainer: Jari Aalto <jari.aalto@cante.net>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: text
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                locales-all,
                python

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PACKAGE		= xlsx2csv
 URL		= git://github.com/dilshod/xlsx2csv.git
 UPSTREAMDIR	= ../upstream.git
-BUILD_DATE      = $(shell dpkg-parsechangelog -S Date -lchangelog)
+BUILD_DATE      = $(shell dpkg-parsechangelog -S Date)
 PODDATE         = $(shell date -u "+%Y-%m-%d" -d "$(BUILD_DATE)")
 
 man:
@@ -32,4 +32,3 @@
 	dh $@ --with python2 --buildsystem=pybuild
 
 .PHONY: man
-

## xlsx2csv 0.7.6

=== debian/changelog ===
xlsx2csv (1:0.7.6-1) unstable; urgency=medium

  * Take over package into Debian Science team
    Closes: #920073
  * New upstream version supporting Python3
    Closes: #943298
  * Standards-Version: 4.4.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Do not parse d/changelog
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Provide upstream test suite as examples
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 29 Nov 2019 16:00:07 +0100

=== debian/control ===
Source: xlsx2csv
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               locales-all,
               python3
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/xlsx2csv
Vcs-Git: https://salsa.debian.org/science-team/xlsx2csv.git
Homepage: https://github.com/dilshod/xlsx2csv

Package: xlsx2csv
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: convert xslx files to csv format
 xlsx files are zip archives where spreadsheet data is stored. In
 order to process a file, various bits inside the archive need to be
 located. This utility uses the Expat SAX parser to collect the strings
 into a simple dictionary, keyed by their relative position in the XML
 file. This makes it possible to process files of any size.

## xlsx2csv 0.7.8

=== debian/changelog ===
xlsx2csv (1:0.7.8-1) unstable; urgency=medium

  * Team upload.
  * Fix spelling 's/xslx/xlsx/' in description (Closes: LP: #1856920)
  * New upstream version 0.7.8
  * Dropping upstream-integrated patch fix_version_number.patch.
  * Bumping debhelper-compat (no changes).
  * Adjusting the name of installed README file.

 -- Andrius Merkys <merkys@debian.org>  Tue, 14 Sep 2021 02:57:56 -0400

xlsx2csv (1:0.7.6-2) unstable; urgency=medium

  * Team upload.
  * Fixing version number in source files (Closes: #952943)

 -- Andrius Merkys <merkys@debian.org>  Tue, 26 Jan 2021 10:23:23 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: text
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                locales-all,
                python3
@@ -16,7 +16,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Description: convert xslx files to csv format
+Description: convert xlsx files to csv format
  xlsx files are zip archives where spreadsheet data is stored. In
  order to process a file, various bits inside the archive need to be
  located. This utility uses the Expat SAX parser to collect the strings

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export PODDATE = "$(shell date --utc --date="@$(SOURCE_DATE_EPOCH)" +%Y-%m-%d)"

override_dh_installman:
	cd man && $(MAKE) -f pod2man.mk \
	PODDATE="$(PODDATE)" \
	PACKAGE=$(DEB_SOURCE) \
	makeman
	dh_installman

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#locale -a
	#locale
	env LC_LANG="C.UTF-8" python3 ./test/run
endif

override_dh_auto_install:
	install -m 755 -D xlsx2csv.py \
		$(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/$(DEB_SOURCE)

override_dh_clean:
	dh_clean
	rm -rf scripts

override_dh_installexamples:
	dh_installexamples
	find debian -name run -exec sed -i 's#\["py.*\./xlsx2csv.py"\]#["xlsx2csv"]#' \{\} \;

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/xlsx2csv-$1\.tar\.gz/ \
  https://github.com/dilshod/xlsx2csv/tags .*/v?(\d\S+)\.tar\.gz

## xlsx2csv 0.8.3

=== debian/changelog ===
xlsx2csv (1:0.8.3-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.8.3 (LP: #2061377)
  * Use dh-sequence-python3
  * Set Rules-Requires-Root: no

  [ Andrius Merkys ]
  * Add dependency on python3-setuptools (Closes: #1080893)
  * New upstream version 0.8.0
  * Refresh python3.patch.
  * Adjust debian/copyright to relicensing to Expat.
  * Cleanup debian/rules.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 09 Nov 2024 12:02:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,12 @@
 Section: text
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                locales-all,
-               python3
+               pybuild-plugin-pyproject,
+               python3,
+               python3-setuptools
+Rules-Requires-Root: no
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/xlsx2csv
 Vcs-Git: https://salsa.debian.org/science-team/xlsx2csv.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export PODDATE = "$(shell date --utc --date="@$(SOURCE_DATE_EPOCH)" +%Y-%m-%d)"

%:
	dh $@ --buildsystem=pybuild

override_dh_installman:
	cd man && $(MAKE) -f pod2man.mk \
	PODDATE="$(PODDATE)" \
	PACKAGE=$(DEB_SOURCE) \
	makeman
	dh_installman

override_dh_auto_test:
	env LC_LANG="C.UTF-8" python3 ./test/run

override_dh_auto_install:
	install -m 755 -D xlsx2csv.py \
		$(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/$(DEB_SOURCE)

override_dh_clean:
	dh_clean
	rm -rf scripts

override_dh_installexamples:
	dh_installexamples
	find debian -name run -exec sed -i 's#\["py.*\./xlsx2csv.py"\]#["xlsx2csv"]#' \{\} \;

## xlsx2csv 0.20%2B20161027%2Bgit5785081

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= xlsx2csv
URL		= git://github.com/dilshod/xlsx2csv.git
UPSTREAMDIR	= ../upstream.git
BUILD_DATE      = $(shell dpkg-parsechangelog -S Date -lchangelog)
PODDATE         = $(shell date -u "+%Y-%m-%d" -d "$(BUILD_DATE)")

man:
	$(MAKE) -C man -f pod2man.mk \
	PODDATE="$(PODDATE)" \
	PACKAGE=$(PACKAGE) \
	makeman

override_dh_installman: man
	dh_installman

override_dh_auto_test:
	LC_ALL=C.UTF-8 ./test/run

override_dh_auto_install:
	install -m 755 -D xlsx2csv.py \
		$(CURDIR)/debian/$(PACKAGE)/usr/bin/$(PACKAGE)

%:
	dh $@ --with python2

.PHONY: get-vcs-changelog man

# End of file

## xlsx2csv 0.20+20121013+gitfa44ba6

=== debian/control ===
Source: xlsx2csv
Section: text
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), python | python-all | python-dev | python-all-dev
Standards-Version: 3.9.4
Homepage: https://github.com/dilshod/xlsx2csv
Vcs-Git: git://anonscm.debian.org/collab-maint/xlsx2csv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xlsx2csv.git;a=summary

Package: xlsx2csv
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: convert xslx files to csv format
 xlsx files are zip archives where spreadsheet data is stored. In
 order to process a file, various bits inside the archive need to be
 located. This utility uses the Expat SAX parser to collect the strings
 into a simple dictionary, keyed by their relative position in the XML
 file. This makes it possible to process files of any size.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= xlsx2csv
URL		= git://github.com/dilshod/xlsx2csv.git
UPSTREAMDIR	= ../upstream.git

man:
	$(MAKE) -C man -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_installman: man
	dh_installman

override_dh_auto_install:
	install -m 755 -D xlsx2csv.py \
		$(CURDIR)/debian/$(PACKAGE)/usr/bin/$(PACKAGE)

%:
	dh $@ --with python2

.PHONY: get-vcs-changelog man

# End of file

=== debian/watch ===
# No released archives. See debian/copyright for VCS access.

## xlsx2csv 0.20+20161027+git5785081

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9), python | python-all | python-dev | python-all-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: https://github.com/dilshod/xlsx2csv
-Vcs-Git: git://anonscm.debian.org/collab-maint/xlsx2csv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xlsx2csv.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/xlsx2csv.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/xlsx2csv.git;a=summary
 
 Package: xlsx2csv
 Architecture: all

=== debian/watch ===
# Can't use; not using tags. See debian/copyright for VCS access.
#version=3
#http://githubredir.debian.net/github/dilshod/xlsx2csv (.*).tar.gz
